// chapitre 5 flux chaînes.cpp : définit le point d'entrée pour l'application console.
//

#include "stdafx.h"

#include <math.h>
#include <sstream>
#include <iostream>

using namespace std;

int main(int argc, char* argv[])
{
	ostringstream out;
	double pi=3.14159265358;
	out.width(8);
	out.setf(ios_base::scientific);
	out << "cos(pi/4)= " << cos(pi/4) << endl;

	// sortie du flux sur une string
	string res=out.str();

	// finalement affichage
	cout << res;

	// relecture
	istringstream in(res);
	double x;
	string msg;
	in >> msg >> x;
	cout << "msg=" << msg << endl << "x=" << x << endl;
	return 0;
}

